Subject: Re: bug#11729: 24.1 dumps core on OSX in x_find_modifier_meanings

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 17 Aug 2019 15:03:45 -0700

Didier Verna <[email-masked]> writes:

> I cannot run the latest version of Emacs on OSX. It dumps core at
> startup (except with -nw):
>
> didier(s000)% ./src/emacs -Q                              Err 139 9:47 06/17/12
>
> (process:63401): Gtk-WARNING **: Locale not supported by C library.
> 	Using the fallback 'C' locale.
> Fatal error (11)zsh: segmentation fault (core dumped)  ./src/emacs -Q
>
> The gdb bactrace is as follows:

[...]

> #0  0x00007fff8392e0b6 in __kill ()
> #1  0x000000010014bc2a in fatal_error_signal (sig=11) at emacs.c:366
> #2  <signal handler called>
> #3  0x00000001012cd435 in _XReply ()
> #4  0x00000001012b7101 in XGetKeyboardMapping ()
> #5  0x00000001001037be in x_find_modifier_meanings (dpyinfo=0x102317230) at xterm.c:3608
> #6  0x000000010010d77e in x_term_init (display_name=<value temporarily unavail

(I'm going through old bug reports that have unfortunately gotten no
responses yet.)

This crash wasn't handled at the time, and as this was reported more
than six years ago, I don't think there's much chance of making any
progress here, so I'm closing this bug report.  If you're still seeing
similar crashes in modern Emacs versions, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no